Bug 28292 - Need to extend DumpRenderTree to expose number of worker threads
: Need to extend DumpRenderTree to expose number of worker threads
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebCore Misc.
: 528+ (Nightly build)
: PC Mac OS X 10.5
: P2 Normal
Assigned To: Andrew Wilson
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-13 21:00 PDT by Andrew Wilson
Modified: 2009-08-18 13:21 PDT (History)
0 users

See Also:


Attachments
proposed patch (43.12 KB, patch)
2009-08-13 21:45 PDT, Andrew Wilson
no flags Details | Formatted Diff | Diff
patch with fix for gtk type error (43.13 KB, patch)
2009-08-13 21:51 PDT, Andrew Wilson
eric: review+
atwilson: commit‑queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Wilson 2009-08-13 21:00:32 PDT
There's currently no way to track if/when worker threads actually shut down from javascript layout tests.

We need to extend DumpRenderTree to expose this information so we can write layout tests to verify this functionality.
Comment 1 Andrew Wilson 2009-08-13 21:45:54 PDT
Created attachment 34806 [details]
proposed patch

Turns out adding new APIs to WebKit is trickier than it appears. We need to put together a wiki page on this.
Comment 2 Andrew Wilson 2009-08-13 21:51:19 PDT
Created attachment 34808 [details]
patch with fix for gtk type error
Comment 3 Eric Seidel 2009-08-17 17:37:48 PDT
Comment on attachment 34808 [details]
patch with fix for gtk type error

Wow.  I'm just blown away by how thorough this change is.  Really, wow.  I don't think I would have had the stamina to change all 4 platforms like that.

This is technically a style violation:
 32         if (layoutTestController.workerThreadCount == 1) {
 33             log("PASS: Worker thread created");
 34         } else {
 35             log("FAIL: After thread creation: layoutTestController.workerThreadCount = " + layoutTestController.workerThreadCount);
 36         }

As far as I can tell, this all looks correct.  I'm certainly no COM expert, so there could be errors there, but looks fine to me.
Comment 4 Andrew Wilson 2009-08-18 13:21:53 PDT
Committed as r47429.